*Purpose: Create formats for puout15a;


proc format lib=work;
value $MISSMF
'M'	=	'Missing'
;
value $PHONF
'-3'		=	'Not Applicable'
;
value $OUTF
'CE'	= 	'CECentral Library'
'BR'	=	'BRBranch Library'
'BS'	=	'BSBookmobile(s)'
'BM'	=	'BMBooks-by-Mail Only'
;
value $MSAF
'CC'	=	'CCCentral City'
'NC'	=	'NCMetropolitan Area, but not within central city limits'
'NO'	=	'NONot in a Metropolitan Area'
'M'		=	'Missing'
;
value SQFTF
-3		=	'-3Not applicable (includes closed or temporarily closed outlets)'
-1		=	'-1Missing'
;
value $STATSF
'00'	=	'00No change from last year'
'01'	=	'01Existing Administrative Entity or Outlet absorbs another Administrative Entity or Outlet'
'02'	=	'02Newly created Administrative Entity or Outlet'
'03'	=	'03Closed'
'04'	=	'04Move Outlet to a newly created Administrative Entity'
'05'	=	'05Merge two or more Administrative Entities or Outlets to form a new Administrative Entity or Outlet'
'08'	=	'08Restored a closed Administrative Entity or Outlet record'
'09'	=	'09Restored an incorrectly deleted Administrative Entity or Outlet'
'10'	=	'10Delete an incorrect record'
'11'	=	'11Outlet moved to a different previously existing Administrative Entity'
'13'	=	'13Add an existing Administrative Entity or Outlet not previously reported'
'22'	=	'22Future Administrative Entity FSCS ID Request'
'23'	=	'23Temporary Closure'
'24'	=	'24Restore/Undo Was a 23 (Reopen a Temporarily Closed Administrative Entity)'
;
value $STATNF
'00'	=	'00No change from last year'
'06'	=	'06Official name change'
'14'	=	'14Minor name change'
;
value $STATAF
'00'	=	'00No change from last year'
'07'	=	'07Moved to a new location'
'15'	=	'15Minor address change'
;
value $LOCALF
'M'		=	'Missing'
'11'	=	'11City, Large'
'12'	=	'12City, Mid-size'
'13'	=	'13City, Small'
'21'	=	'21Suburb, Large'
'22'	=	'22Suburb, Mid-size'
'23'	=	'23Suburb, Small'
'31'	=	'31Town, Fringe'
'32'	=	'32Town, Distant'
'33'	=	'33Town, Remote'
'41'	=	'41Rural, Fringe'
'42'	=	'42Rural, Distant'
'43'	=	'43Rural, Remote'
;
value $MICMETF
'M'	=	'Missing'
'0'	=	'0Micropolitan area'
'1'	=	'1Metropolitan area'
;
value $MSTATF
'M'	=	'Missing'
'E'	=	'EMatch'
'T'	=	'TTie'
'U'	=	'UUnmatch'
;
value MISS1F
-1	=	'-1Missing'
;
value MISS3F
-1	=	'-1Missing'
-3	=	'-3Closed or temporarily closed administrative entity'
;
value LONF
-1		=	'-1Missing'
other	=   [13.7]
;
value LATF
-1		=	'-1Missing'
other	=   [11.7]
;
value CENF
-1	=	'-1Missing'
;
value $IMPF
'R_15'	=	'R_15Data were reported and not imputed'
'IG14'	=	'IG14Prior year data multiplied by cell mean growth rate'
'IG13'	=	'IG13Prior year data multiplied by cell mean growth rate'
'IG12'	=	'IG12Prior year data multiplied by cell mean growth rate'
'IG11'	=	'IG11Prior year data multiplied by cell mean growth rate'
'IQ15'	=	'IQ15Adjusted cell mean'
'IJ15'	=	'IJ15Unadjusted cell mean'
'IK14'	=	'IK14Prior year ratio to another item'
'IK13'	=	'IK13Prior year ratio to another item'
'IK12'	=	'IK12Prior year ratio to another item'
'IK11'	=	'IK11Prior year ratio to another item'
'ID15'	=	'ID15Cell median ratio to another item'
'IP14'	=	'IP14Data carried forward'
'IP13'	=	'IP13Data carried forward'
'IP12'	=	'IP12Data carried forward'
'IP11'	=	'IP11Data carried forward'
'IM15'	=	'IM15Unadjusted cell median'
'IT15'	=	'IT15Total to detail items'
'IB15'	=	'IB15Raking of detail items to match totals'
'IS15'	=	'IS15Special imputation procedure'
'IY15'	=	'IY15Consistency check derived value'
'U_15'	=	'U_15New item, outlying areas, or closed/temporary closure-no imputation done'
'H_15'	=	'H_15Data were suppressed'
;
run;
